%define version 0.0.29
%define title	Gnome Bittorent
%define section Networking/Other

Summary: 	Gnome frontend for bittorrent files

Name:		gnome-btdownload
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Group:		Networking/File transfer

Source:		http://switch.dl.sourceforge.net/sourceforge/gnome-bt/%name-%version.tar.bz2
Source1:	%{name}-32.png
Source2:	%{name}-16.png
Source3:	%{name}-48.png
URL:		http://gnome-bt.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

#BuildArch:	noarch

BuildRequires:	pygtk2.0, gnome-python, pygtk2.0-libglade, python, bittorrent, desktop-file-utils, perl-XML-Parser
Requires:	pygtk2.0, gnome-python, pygtk2.0-libglade, python, bittorrent, desktop-file-utils
Requires(post): GConf2
Requires(preun):GConf2

%description
A work-in-progress Gnome "mime-sink" for BitTorrent files. 
It's not meant to be an entire front-end, just a program 
that pops up when you "execute" the torrent files.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.png

%find_lang %{name}

%post
%update_menus
%{update_desktop_database}
%post_install_gconf_schemas %name
#GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas > /dev/null

%preun
%preun_uninstall_gconf_schemas %name
#GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas > /dev/null

%postun
%clean_menus
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_mandir}/man1/*
%{_datadir}/gnome-btdownload
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png
%{python_sitelib}/gnomebtdownload/*




%changelog
* Sun Jul 01 2007 Funda Wang <fundawang@mandriva.org> 0.0.29-1mdv2008.0
+ Revision: 46282
- New version

  + Jérôme Soyer <saispo@mandriva.org>
    - New release


* Sun Mar 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.0.27-2mdv2007.0
+ Revision: 132605
- Fix Build
- Add BR
- Import gnome-btdownload

